@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  @include flex(stretch, null, column);
  @include padding(14px);
  background-color: $white;
  border-radius: 6px;
}

// navigation item
.app-item {
  @include ubuntuRegular;
  font-size: 12px;
  line-height: 13px;
  color: $havelock-blue;

  &:hover {
    color: darken($havelock-blue, 10);
  }

  &.active {
    @include ubuntuBold;
    color: $egyptian-blue;
  }
}

// gap between items
.app-item + .app-item {
  margin-top: 16px;
}

// divider
.app-divider {
  width: 100%;
  height: 1px;
  background-color: $solitude;
  margin: 16px 0;
}
